# Class: $urlMatcherFactory

## $urlMatcherFactory

#### new $urlMatcherFactory()

  Service. Factory for UrlMatcher instances. The factory is also available to providers under the name `$urlMatcherFactoryProvider`.

  Source:
    - urlMatcherFactory.js, line 217

### Methods

#### compile(pattern) → {UrlMatcher}

  Creates a UrlMatcher for the specified pattern.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pattern` | string | The URL pattern.

  Source:
    - urlMatcherFactory.js, line 224

  ##### Returns:

  The UrlMatcher.

  Type
    UrlMatcher

#### isMatcher(o) → {boolean}

  Returns true if the specified object is a UrlMatcher, or false otherwise.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `o` | Object |

  Source:
    - urlMatcherFactory.js, line 236

  ##### Returns:

  Type
    boolean